"use strict";
/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedTreeFactoryType = exports.SharedTreeAttributes = exports.configuredSharedTree = exports.SharedTree = exports.MapNodeSchema = exports.ArrayNodeSchema = exports.replaceVerboseTreeHandles = exports.replaceHandles = exports.replaceConciseTreeHandles = exports.evaluateLazySchema = exports.generateSchemaFromSimpleSchema = exports.rollback = exports.asTreeViewAlpha = exports.getSimpleSchema = exports.normalizeAllowedTypes = exports.getJsonSchema = exports.comparePersistedSchema = exports.extractPersistedSchema = exports.TreeBeta = exports.test_RecursiveObjectPojoMode = exports.test_RecursiveObject_base = exports.test_RecursiveObject = exports.singletonSchema = exports.enumFromStrings = exports.adaptEnum = exports.createIdentifierIndex = exports.createSimpleTreeIndex = exports.ObjectNodeSchema = exports.NodeKind = exports.FieldSchema = exports.FieldKind = exports.SchemaFactoryAlpha = exports.SchemaFactory = exports.TreeViewConfiguration = exports.IterableTreeArrayContent = exports.TreeArrayNode = exports.ForestTypeReference = exports.ForestTypeExpensiveDebug = exports.ForestTypeOptimized = exports.independentView = exports.TreeAlpha = exports.independentInitializedView = exports.getBranch = exports.Tree = exports.SharedTreeFormatVersion = exports.TreeCompressionStrategy = exports.TreeStatus = exports.RevertibleStatus = exports.CommitKind = exports.ValueSchema = void 0;
exports.FluidSerializableAsTree = exports.JsonAsTree = exports.InternalTypes = exports.cloneWithReplacements = exports.typeboxValidator = exports.noopValidator = exports.FluidClientVersion = void 0;
var index_js_1 = require("./core/index.js");
Object.defineProperty(exports, "ValueSchema", { enumerable: true, get: function () { return index_js_1.ValueSchema; } });
Object.defineProperty(exports, "CommitKind", { enumerable: true, get: function () { return index_js_1.CommitKind; } });
Object.defineProperty(exports, "RevertibleStatus", { enumerable: true, get: function () { return index_js_1.RevertibleStatus; } });
var index_js_2 = require("./feature-libraries/index.js");
Object.defineProperty(exports, "TreeStatus", { enumerable: true, get: function () { return index_js_2.TreeStatus; } });
Object.defineProperty(exports, "TreeCompressionStrategy", { enumerable: true, get: function () { return index_js_2.TreeCompressionStrategy; } });
var index_js_3 = require("./shared-tree/index.js");
Object.defineProperty(exports, "SharedTreeFormatVersion", { enumerable: true, get: function () { return index_js_3.SharedTreeFormatVersion; } });
Object.defineProperty(exports, "Tree", { enumerable: true, get: function () { return index_js_3.Tree; } });
Object.defineProperty(exports, "getBranch", { enumerable: true, get: function () { return index_js_3.getBranch; } });
Object.defineProperty(exports, "independentInitializedView", { enumerable: true, get: function () { return index_js_3.independentInitializedView; } });
Object.defineProperty(exports, "TreeAlpha", { enumerable: true, get: function () { return index_js_3.TreeAlpha; } });
Object.defineProperty(exports, "independentView", { enumerable: true, get: function () { return index_js_3.independentView; } });
Object.defineProperty(exports, "ForestTypeOptimized", { enumerable: true, get: function () { return index_js_3.ForestTypeOptimized; } });
Object.defineProperty(exports, "ForestTypeExpensiveDebug", { enumerable: true, get: function () { return index_js_3.ForestTypeExpensiveDebug; } });
Object.defineProperty(exports, "ForestTypeReference", { enumerable: true, get: function () { return index_js_3.ForestTypeReference; } });
var index_js_4 = require("./simple-tree/index.js");
Object.defineProperty(exports, "TreeArrayNode", { enumerable: true, get: function () { return index_js_4.TreeArrayNode; } });
Object.defineProperty(exports, "IterableTreeArrayContent", { enumerable: true, get: function () { return index_js_4.IterableTreeArrayContent; } });
Object.defineProperty(exports, "TreeViewConfiguration", { enumerable: true, get: function () { return index_js_4.TreeViewConfiguration; } });
Object.defineProperty(exports, "SchemaFactory", { enumerable: true, get: function () { return index_js_4.SchemaFactory; } });
Object.defineProperty(exports, "SchemaFactoryAlpha", { enumerable: true, get: function () { return index_js_4.SchemaFactoryAlpha; } });
Object.defineProperty(exports, "FieldKind", { enumerable: true, get: function () { return index_js_4.FieldKind; } });
Object.defineProperty(exports, "FieldSchema", { enumerable: true, get: function () { return index_js_4.FieldSchema; } });
Object.defineProperty(exports, "NodeKind", { enumerable: true, get: function () { return index_js_4.NodeKind; } });
Object.defineProperty(exports, "ObjectNodeSchema", { enumerable: true, get: function () { return index_js_4.ObjectNodeSchema; } });
Object.defineProperty(exports, "createSimpleTreeIndex", { enumerable: true, get: function () { return index_js_4.createSimpleTreeIndex; } });
Object.defineProperty(exports, "createIdentifierIndex", { enumerable: true, get: function () { return index_js_4.createIdentifierIndex; } });
// experimental @alpha APIs:
Object.defineProperty(exports, "adaptEnum", { enumerable: true, get: function () { return index_js_4.adaptEnum; } });
Object.defineProperty(exports, "enumFromStrings", { enumerable: true, get: function () { return index_js_4.enumFromStrings; } });
Object.defineProperty(exports, "singletonSchema", { enumerable: true, get: function () { return index_js_4.singletonSchema; } });
// test recursive schema for checking that d.ts files handles schema correctly
Object.defineProperty(exports, "test_RecursiveObject", { enumerable: true, get: function () { return index_js_4.test_RecursiveObject; } });
Object.defineProperty(exports, "test_RecursiveObject_base", { enumerable: true, get: function () { return index_js_4.test_RecursiveObject_base; } });
Object.defineProperty(exports, "test_RecursiveObjectPojoMode", { enumerable: true, get: function () { return index_js_4.test_RecursiveObjectPojoMode; } });
// Beta APIs
Object.defineProperty(exports, "TreeBeta", { enumerable: true, get: function () { return index_js_4.TreeBeta; } });
Object.defineProperty(exports, "extractPersistedSchema", { enumerable: true, get: function () { return index_js_4.extractPersistedSchema; } });
Object.defineProperty(exports, "comparePersistedSchema", { enumerable: true, get: function () { return index_js_4.comparePersistedSchema; } });
Object.defineProperty(exports, "getJsonSchema", { enumerable: true, get: function () { return index_js_4.getJsonSchema; } });
Object.defineProperty(exports, "normalizeAllowedTypes", { enumerable: true, get: function () { return index_js_4.normalizeAllowedTypes; } });
Object.defineProperty(exports, "getSimpleSchema", { enumerable: true, get: function () { return index_js_4.getSimpleSchema; } });
Object.defineProperty(exports, "asTreeViewAlpha", { enumerable: true, get: function () { return index_js_4.asTreeViewAlpha; } });
Object.defineProperty(exports, "rollback", { enumerable: true, get: function () { return index_js_4.rollback; } });
Object.defineProperty(exports, "generateSchemaFromSimpleSchema", { enumerable: true, get: function () { return index_js_4.generateSchemaFromSimpleSchema; } });
Object.defineProperty(exports, "evaluateLazySchema", { enumerable: true, get: function () { return index_js_4.evaluateLazySchema; } });
Object.defineProperty(exports, "replaceConciseTreeHandles", { enumerable: true, get: function () { return index_js_4.replaceConciseTreeHandles; } });
Object.defineProperty(exports, "replaceHandles", { enumerable: true, get: function () { return index_js_4.replaceHandles; } });
Object.defineProperty(exports, "replaceVerboseTreeHandles", { enumerable: true, get: function () { return index_js_4.replaceVerboseTreeHandles; } });
Object.defineProperty(exports, "ArrayNodeSchema", { enumerable: true, get: function () { return index_js_4.ArrayNodeSchema; } });
Object.defineProperty(exports, "MapNodeSchema", { enumerable: true, get: function () { return index_js_4.MapNodeSchema; } });
var treeFactory_js_1 = require("./treeFactory.js");
Object.defineProperty(exports, "SharedTree", { enumerable: true, get: function () { return treeFactory_js_1.SharedTree; } });
Object.defineProperty(exports, "configuredSharedTree", { enumerable: true, get: function () { return treeFactory_js_1.configuredSharedTree; } });
var sharedTreeAttributes_js_1 = require("./sharedTreeAttributes.js");
Object.defineProperty(exports, "SharedTreeAttributes", { enumerable: true, get: function () { return sharedTreeAttributes_js_1.SharedTreeAttributes; } });
Object.defineProperty(exports, "SharedTreeFactoryType", { enumerable: true, get: function () { return sharedTreeAttributes_js_1.SharedTreeFactoryType; } });
var index_js_5 = require("./codec/index.js");
Object.defineProperty(exports, "FluidClientVersion", { enumerable: true, get: function () { return index_js_5.FluidClientVersion; } });
var index_js_6 = require("./codec/index.js");
Object.defineProperty(exports, "noopValidator", { enumerable: true, get: function () { return index_js_6.noopValidator; } });
var index_js_7 = require("./external-utilities/index.js");
Object.defineProperty(exports, "typeboxValidator", { enumerable: true, get: function () { return index_js_7.typeboxValidator; } });
var index_js_8 = require("./util/index.js");
Object.defineProperty(exports, "cloneWithReplacements", { enumerable: true, get: function () { return index_js_8.cloneWithReplacements; } });
const InternalTypes = __importStar(require("./internalTypes.js"));
exports.InternalTypes = InternalTypes;
var jsonDomainSchema_js_1 = require("./jsonDomainSchema.js");
Object.defineProperty(exports, "JsonAsTree", { enumerable: true, get: function () { return jsonDomainSchema_js_1.JsonAsTree; } });
var serializableDomainSchema_js_1 = require("./serializableDomainSchema.js");
Object.defineProperty(exports, "FluidSerializableAsTree", { enumerable: true, get: function () { return serializableDomainSchema_js_1.FluidSerializableAsTree; } });
//# sourceMappingURL=index.js.map