/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
export { ValueSchema, CommitKind, RevertibleStatus, } from "./core/index.js";
export { TreeStatus, TreeCompressionStrategy, } from "./feature-libraries/index.js";
export { SharedTreeFormatVersion, Tree, getBranch, independentInitializedView, TreeAlpha, independentView, ForestTypeOptimized, ForestTypeExpensiveDebug, ForestTypeReference, } from "./shared-tree/index.js";
export { TreeArrayNode, IterableTreeArrayContent, TreeViewConfiguration, SchemaFactory, SchemaFactoryAlpha, FieldKind, FieldSchema, NodeKind, ObjectNodeSchema, createSimpleTreeIndex, createIdentifierIndex, 
// experimental @alpha APIs:
adaptEnum, enumFromStrings, singletonSchema, 
// test recursive schema for checking that d.ts files handles schema correctly
test_RecursiveObject, test_RecursiveObject_base, test_RecursiveObjectPojoMode, 
// Beta APIs
TreeBeta, extractPersistedSchema, comparePersistedSchema, getJsonSchema, normalizeAllowedTypes, getSimpleSchema, asTreeViewAlpha, rollback, generateSchemaFromSimpleSchema, evaluateLazySchema, replaceConciseTreeHandles, replaceHandles, replaceVerboseTreeHandles, ArrayNodeSchema, MapNodeSchema, } from "./simple-tree/index.js";
export { SharedTree, configuredSharedTree, } from "./treeFactory.js";
export { SharedTreeAttributes, SharedTreeFactoryType } from "./sharedTreeAttributes.js";
export { FluidClientVersion, } from "./codec/index.js";
export { noopValidator } from "./codec/index.js";
export { typeboxValidator } from "./external-utilities/index.js";
export { cloneWithReplacements } from "./util/index.js";
import * as InternalTypes from "./internalTypes.js";
export { 
/**
 * Contains types used by the API, but which serve mechanical purposes and do not represent semantic concepts.
 * They are used internally to implement API aspects, but are not intended for use by external consumers.
 */
InternalTypes, };
export { JsonAsTree } from "./jsonDomainSchema.js";
export { FluidSerializableAsTree } from "./serializableDomainSchema.js";
//# sourceMappingURL=index.js.map