/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { NodeKind, } from "./core/index.js";
/**
 * @alpha
 */
export const MapNodeSchema = {
    /**
     * instanceof-based narrowing support for MapNodeSchema in Javascript and TypeScript 5.3 or newer.
     */
    [Symbol.hasInstance](value) {
        return isMapNodeSchema(value);
    },
};
/**
 * Narrows a {@link (TreeNodeSchema:interface)} to an {@link (MapNodeSchema:interface)}.
 * @privateRemarks
 * If at some point we want to have internal only APIs for MapNodeSchema (like done for objects),
 * this can include those since its not the public facing API.
 */
export function isMapNodeSchema(schema) {
    return schema.kind === NodeKind.Map;
}
//# sourceMappingURL=mapNodeTypes.js.map